
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef dtm_POSTER_LIB_H
#define dtm_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "dtmType.h"
#include "dtmError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[DTM_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} DTM_CNTRL_STR;

/* For consistency with other posters */
typedef DTM_CNTRL_STR DTM_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "dtmPosterLibStruct.h"



/* Posters */
#define DTM_CNTRL_POSTER_NAME genomInstanceSuffixName("dtm", "Cntrl")
#define DTM_P3DPOSTER_POSTER_NAME genomInstanceSuffixName("dtm", "P3dPoster")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS dtmPosterInit ( void );
extern POSTER_ID dtmCntrlPosterID ();
extern STATUS dtmCntrlPosterRead ( DTM_CNTRL_STR *dtmCntrlStrId );
extern STATUS dtmCntrlPosterInit ( void );
extern STATUS dtmCntrlInstancePosterRead(const char *name, DTM_CNTRL_STR *dtmCntrlStrId);
extern STATUS dtmP3dPosterPosterInit ( void );
extern POSTER_ID dtmP3dPosterPosterID ( void );
extern STATUS dtmP3dPosterPosterRead ( DTM_P3DPOSTER_POSTER_STR *x );
extern STATUS dtmP3dPosterInstancePosterRead ( const char *, DTM_P3DPOSTER_POSTER_STR * );
extern STATUS dtmP3dPosterDtmP3dPosterPosterRead ( DTM_P3D_POSTER *DtmP3dPoster );
extern STATUS dtmP3dPosterDtmP3dPosterInstancePosterRead( const char *, DTM_P3D_POSTER * );
#ifdef __cplusplus
}
#endif
#endif

