
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef DTM_SCAN_H
#define DTM_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/velodyneTclservClientDecode.h"

#include "server/tclservClient/stereopixelTclservClientDecode.h"

#include "server/tclservClient/genBasicTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/dtmPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_DTM_P3DPOSTER_POSTER_STR (char** buf, struct DTM_P3DPOSTER_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_DTM_STR (char** buf, struct DTM_STR *x, int nDim, int *dims );
int scan_buf_struct_DtmDisplayParams (char** buf, struct DtmDisplayParams *x, int nDim, int *dims );
int scan_buf_struct_DtmP3dPosterParams (char** buf, struct DtmP3dPosterParams *x, int nDim, int *dims );
int scan_buf_struct_DtmFusionParams (char** buf, struct DtmFusionParams *x, int nDim, int *dims );
int scan_buf_struct_DtmStrategy (char** buf, struct DtmStrategy *x, int nDim, int *dims );
int scan_buf_enum_DtmStrategyKind (char** buf, enum DtmStrategyKind *x, int nDim, int *dims );
int scan_buf_enum_DtmReferenceFrame (char** buf, enum DtmReferenceFrame *x, int nDim, int *dims );
int scan_buf_enum_DtmRefinement (char** buf, enum DtmRefinement *x, int nDim, int *dims );
int scan_buf_enum_DtmVideo (char** buf, enum DtmVideo *x, int nDim, int *dims );
int scan_buf_struct_DtmGeodesicOrigin (char** buf, struct DtmGeodesicOrigin *x, int nDim, int *dims );
int scan_buf_struct_DtmSaveParams (char** buf, struct DtmSaveParams *x, int nDim, int *dims );
int scan_buf_enum_DtmFileFormat (char** buf, enum DtmFileFormat *x, int nDim, int *dims );
int scan_buf_struct_DtmConnectParams (char** buf, struct DtmConnectParams *x, int nDim, int *dims );
int scan_buf_struct_DtmResetParams (char** buf, struct DtmResetParams *x, int nDim, int *dims );
int scan_buf_struct_DtmInitParams (char** buf, struct DtmInitParams *x, int nDim, int *dims );
int scan_buf_enum_DtmDestination (char** buf, enum DtmDestination *x, int nDim, int *dims );
int scan_buf_enum_DtmSlidingMode (char** buf, enum DtmSlidingMode *x, int nDim, int *dims );
int scan_buf_struct_DTM_LABEL_POSTER (char** buf, struct DTM_LABEL_POSTER *x, int nDim, int *dims );
int scan_buf_enum_demCellLabel (char** buf, enum demCellLabel *x, int nDim, int *dims );
int scan_buf_struct_DTM_P3D_POSTER (char** buf, struct DTM_P3D_POSTER *x, int nDim, int *dims );
int scan_buf_enum_demCellState (char** buf, enum demCellState *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_demCellState (char** buf, demCellState *x, int nDim, int *dims );
int scan_buf_DTM_P3D_POSTER (char** buf, DTM_P3D_POSTER *x, int nDim, int *dims );
int scan_buf_demCellLabel (char** buf, demCellLabel *x, int nDim, int *dims );
int scan_buf_DTM_LABEL_POSTER (char** buf, DTM_LABEL_POSTER *x, int nDim, int *dims );
int scan_buf_DtmSlidingMode (char** buf, DtmSlidingMode *x, int nDim, int *dims );
int scan_buf_DtmDestination (char** buf, DtmDestination *x, int nDim, int *dims );
int scan_buf_DtmInitParams (char** buf, DtmInitParams *x, int nDim, int *dims );
int scan_buf_DtmResetParams (char** buf, DtmResetParams *x, int nDim, int *dims );
int scan_buf_DtmConnectParams (char** buf, DtmConnectParams *x, int nDim, int *dims );
int scan_buf_DtmFileFormat (char** buf, DtmFileFormat *x, int nDim, int *dims );
int scan_buf_DtmSaveParams (char** buf, DtmSaveParams *x, int nDim, int *dims );
int scan_buf_DtmGeodesicOrigin (char** buf, DtmGeodesicOrigin *x, int nDim, int *dims );
int scan_buf_DtmVideo (char** buf, DtmVideo *x, int nDim, int *dims );
int scan_buf_DtmRefinement (char** buf, DtmRefinement *x, int nDim, int *dims );
int scan_buf_DtmReferenceFrame (char** buf, DtmReferenceFrame *x, int nDim, int *dims );
int scan_buf_DtmStrategyKind (char** buf, DtmStrategyKind *x, int nDim, int *dims );
int scan_buf_DtmStrategy (char** buf, DtmStrategy *x, int nDim, int *dims );
int scan_buf_DtmFusionParams (char** buf, DtmFusionParams *x, int nDim, int *dims );
int scan_buf_DtmPosterParams (char** buf, DtmPosterParams *x, int nDim, int *dims );
int scan_buf_DtmDisplayParams (char** buf, DtmDisplayParams *x, int nDim, int *dims );
int scan_buf_DTM_STR (char** buf, DTM_STR *x, int nDim, int *dims );
int scan_buf_DTM_P3DPOSTER_POSTER_STR (char** buf, DTM_P3DPOSTER_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* DTM_SCAN_H */

